//Algorithm to calculate the area and its sides
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 28/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <math.h>  
using namespace std;
//Exercise 20
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
int main() {
	
	Run();
	return 0;
	}
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/
	double a = 0;
	double b = 0;
	double c = 0;
	double x = 0;
	double y = 0;
	double z = 0;
	double area = 0;
	double PI = 3.14159;
/********************************************************************************************************
												FUNCTION DEFINITION
**********************************************************************************************************/
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//======================================================================================================================================================================================
void CollectData(){
	cout<<"Ingrese el primer lado del triangulo : ";
	cin>>a;
	cout<<"Ingrese el segundo lado del triangulo : ";
	cin>>b;
	cout<<"Ingrese el angulo que forman los dos lados mencionados : ";
	cin>>x;
}
//===================================================================================================================================================================================
void Calculate() {
	c = sqrt( pow(a,2) + pow(b,2) - 2*a*b*cos(x*PI/180) );
	area = a*b*sin(x*PI/180)/2;
	y = asin(b*sin(x*PI/180)/c);
	z = asin(a*sin(x*PI/180)/c);
}
//=========================================================================================================================================================================================================================	
void ShowResults(){
	cout<<"El area del triangulo es: "<<area<<endl;
	cout<<"El segundo angulo del triangulo es: "<<y<<endl;
	cout<<"El tercer angulo del triangulo es: "<<z<<endl;
	cout<<"El tercer lado es:"<<c<<endl;
}
